libzypp 17.37.10

zyppng::NetworkRequestPrivate::prepareNextRangeBatch_t Struct Reference

`#include <zypp-curl/ng/network/private/request_p.h>`

## Public Member Functions
| prepareNextRangeBatch_t (running_t &&prevState)

## Public Attributes
zypp::AutoFILE | _outFile
off_t | _downloaded = 0
std::unique_ptr< CurlMultiPartHandler > | _partialHelper = {}

## Detailed Description

Definition at line 151 of file request_p.h.

## Constructor & Destructor Documentation

## ◆ prepareNextRangeBatch_t()

zyppng::NetworkRequestPrivate::prepareNextRangeBatch_t::prepareNextRangeBatch_t | ( | running_t && | prevState | ) |

Definition at line 57 of file request.cc.

## Member Data Documentation

## ◆ _outFile

zypp::AutoFILE zyppng::NetworkRequestPrivate::prepareNextRangeBatch_t::_outFile

Definition at line 154 of file request_p.h.

## ◆ _downloaded

off_t zyppng::NetworkRequestPrivate::prepareNextRangeBatch_t::_downloaded = 0

Definition at line 155 of file request_p.h.

## ◆ _partialHelper

std::unique_ptr<CurlMultiPartHandler> zyppng::NetworkRequestPrivate::prepareNextRangeBatch_t::_partialHelper = {}

Definition at line 156 of file request_p.h.

The documentation for this struct was generated from the following files:

- zypp-curl/ng/network/private/request_p.h
- zypp-curl/ng/network/request.cc